# Class Scene

Namespace
  Awperative

Assembly
  Awperative.dll

    public sealed class Scene : DockerEntity

Inheritance
  object
  DockerEntity
  Scene

Inherited Members
  DockerEntity.AddComponent<Generic>()
  DockerEntity.AddComponent<Generic>(object[])
  DockerEntity.Scene
  DockerEntity.GetComponent<Generic>()
  DockerEntity.GetComponents<Generic>()
  DockerEntity.RemoveComponent(Component)
  DockerEntity.RemoveComponent<Generic>()
  DockerEntity.RemoveComponents<Generic>()
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.ReferenceEquals(object, object)
  object.ToString()

## Properties

### bodies

    public List<Body> bodies { get; }

#### Property Value

List<Body>

## Methods

### AddBody()

    public Body AddBody()

#### Returns

Body

### AddBody(Transform)

    public Body AddBody(Transform __transform)

#### Parameters

`__transform` Transform

#### Returns

Body

### DestroyBody(Body)

    public void DestroyBody(Body __body)

#### Parameters

`__body` Body

### Draw(GameTime)

    public void Draw(GameTime __gameTime)

#### Parameters

`__gameTime` GameTime

### GetBodies(string)

    public Body[] GetBodies(string tag)

#### Parameters

`tag` string

#### Returns

Body[]

### GetBody(string)

    public Body GetBody(string tag)

#### Parameters

`tag` string

#### Returns

Body

### Load()

    public void Load()

### Unload()

    public void Unload()

### Update(GameTime)

    public void Update(GameTime __gameTime)

#### Parameters

`__gameTime` GameTime

## Events

### BodyCreatedEvent

    public event EventHandler<BodyCreateEvent> BodyCreatedEvent

#### Event Type

EventHandler<BodyCreateEvent>

### BodyDestroyedEvent

    public event EventHandler<BodyDestroyEvent> BodyDestroyedEvent

#### Event Type

EventHandler<BodyDestroyEvent>